4

I had an issue with my site running Craft 3.1.15 where I wasn't able to update the site to the most recent 3.1.16, and also wasn't able to install any plugins. Every plugin I tried would throw this error:

Blockquote Invalid plugin: No plugin exists with the handle "plugin-slug"

I tried creating a fresh install of craft through composer, this time running 3.1.16, and I'm faced with the same error. All my other craft sites run locally seem to update fine and have no issues installing new plugins. Is there an issue with the latest craft updates? Or is there something I need to do to resolve this?

11

For future reference, I had the same error and resolved it with Craft Support.

In my case the project.yaml file got out of sync with what was in the database.

Running craft project-config/rebuild from the project's root resolved the issue and allowed us to re-enable the plugins

  • Thanks. That resolved my issue. – Fred Jun 2 at 16:04
  • 1
    This fixed my issue. Setting the option useProjectConfigFile to false in general.php and running ./craft project-config/rebuild fixed my issue with installing Craft 3 plugins, when upgrading from Craft 2 – Jason Mayo Jun 26 at 10:09
2

Also wanted to chime in here, that you should try running ./craft project-config/rebuild even if you're not using project.yaml. Internally, Craft uses the project config functionality even if you're not using the yaml file.

Just solved a case of this issue where I'm not using the yaml file, nuked the vendor folder and the deleted the composer.lock file to no avail. Running this command was the only thing that worked!

1

Have you tried running the ./craft update command? They describe this command here https://docs.craftcms.com/v3/updating.html#updating-from-the-control-panel. That's one solution, the other thing you could try is for the plugins is removing the vendor folder and executing the composer install command

Install CraftCMS and Docker Environment in seconds

  • I'm afraid neither of these worked. Removing the vendor folder and executing composer install comes back with nothing to install or update. Updating from command line actually gives me the same error as the control panel. - *** failed to install plugin-slug: No plugin exists with the handle "plugin-slug". – Amy Mar 7 at 9:32
  • On top of this, I tried changing my craft version in composer.json to 3.1.14 (which I know is a working version), then ran the composer install. It said it had installed this version, but nothing changed. – Amy Mar 7 at 9:40
  • Any solution on this? I'm also getting this problem after installing a plugin then bringing the database from the live site to my local site. It doesn't want to install due to the error plugin handle. – mateostabio May 23 at 14:36
1

The issue for this case was something related to my composer not installing it correctly. I downloaded the most recent version of Craft straight from the site and I don't face any of the above issues.

  • I believe it may have been your composer.lock file – bshelling Mar 8 at 22:27
  • I did think this also, but again this gave me a deadend – Amy Mar 12 at 16:03
1

I had a similar error and found a solution!

Let me explain what went wrong with my plugin. I downloaded a plugin locally, installed it and all was good. So I pushed all my files to the live site, went to live admin panel to install the plugin and an error happened. I then tried bringing that database to my local site to install the plugin but it would give me: Internal Server Error: No plugin exists with the handle "plugin-slug" no matter what I did. I tried uninstalling it and reinstalling it with no luck.

I then decided to look at a DIFF of my local database backup (of two days ago without the plugin ever installed) and my newest database I just tried installing that would throw me that error. I searched in the files the plugin handle name and deleted the line of code that had been added.

I deleted the database, imported the edited database and installed the plugin with no issue.

Hope this helps someone!

1

My fix for this error was to manually remove the offending row from the plugins table in the database. Match the handle name in the error to the handle name for the row.

1

Happened to me - a mixture of this and this helped me.

Specifically I did the following (as I wasn't using project.yaml):

  1. Uninstall plugin via control panel
  2. Remove the plugin's table row from plugins table in database
  3. Remove any the-plugin-name_ prefixed tables from database
  4. Reinstall plugin

Note: you will lose any plugin settings :(

Still curious what caused this for me...

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.